Skip to content

Delete Auth Config for Gateway

Endpoint: DELETE /api/gateway/config/auth/{id}

Deletes an auth config of a gateway service.

Path parameters

Parameter Description Type Required/ Optional
id The id of the auth config to delete. string Required.

Response

  • Returns a 200 OK response, indicating that the auth config is deleted.
  • Returns 404 Not Found if no auth config exists with the given id.
  • Returns 403 Forbidden if you do not have permission to delete the auth config.

Examples

Delete auth config for Gateway

Request

curl -X 'DELETE' \
  'https://<YOUR-SERVER-URL>/api/gateway/config/auth/rf' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>'

Response

Returns 200 OK, indicating that the auth config is deleted.